org.apache.lucene.sandbox.search

## Enum QueryProfilerTimingType

- java.lang.Object
- - java.lang.Enum<QueryProfilerTimingType>
  - - org.apache.lucene.sandbox.search.QueryProfilerTimingType

All Implemented Interfaces:
  Serializable, Comparable<QueryProfilerTimingType>

    public enum QueryProfilerTimingType
    extends Enum<QueryProfilerTimingType>

This enum breaks down the query into different sections to describe what was timed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADVANCE`
`BUILD_SCORER`
`COMPUTE_MAX_SCORE`
`CREATE_WEIGHT`
`MATCH`
`NEXT_DOC`
`SCORE`
`SET_MIN_COMPETITIVE_SCORE`
`SHALLOW_ADVANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static QueryProfilerTimingType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryProfilerTimingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE_WEIGHT

    public static final QueryProfilerTimingType CREATE_WEIGHT

#### BUILD_SCORER

    public static final QueryProfilerTimingType BUILD_SCORER

#### NEXT_DOC

    public static final QueryProfilerTimingType NEXT_DOC

#### ADVANCE

    public static final QueryProfilerTimingType ADVANCE

#### MATCH

    public static final QueryProfilerTimingType MATCH

#### SCORE

    public static final QueryProfilerTimingType SCORE

#### SHALLOW_ADVANCE

    public static final QueryProfilerTimingType SHALLOW_ADVANCE

#### COMPUTE_MAX_SCORE

    public static final QueryProfilerTimingType COMPUTE_MAX_SCORE

#### SET_MIN_COMPETITIVE_SCORE

    public static final QueryProfilerTimingType SET_MIN_COMPETITIVE_SCORE

### Method Detail

#### values

    public static QueryProfilerTimingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryProfilerTimingType c : QueryProfilerTimingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryProfilerTimingType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<QueryProfilerTimingType>`